import { queryOptions } from "@tanstack/react-query";
import axios from "axios";

export function getPPOO() {
	return queryOptions({
		queryKey: ["getPPOO"],
		queryFn: () => fetchStockSilo(),
		//enabled:
		staleTime: 1000,
		refetchInterval: 60 * 1000,
		refetchOnWindowFocus: true,
	});
}

const fetchStockSilo = async () => {
	const { data } = await axios.get(
		`/lst/old/api/logistics/getppoo`,
	);
	// if we are not localhost ignore the devDir setting.
	//const url: string = window.location.host.split(":")[0];
	return data.data ?? [];
};
